Package tigase.server.xmppclient

# Class SeeOtherHostDB.JDBCSeeOtherHostRepository

java.lang.Object
tigase.server.xmppclient.SeeOtherHostDB.JDBCSeeOtherHostRepository

All Implemented Interfaces:
  `DataSourceAware<DataRepository>`, `SeeOtherHostDB.SeeOtherHostRepository<DataRepository>`

Enclosing class:
  SeeOtherHostDB

public static class SeeOtherHostDB.JDBCSeeOtherHostRepository extends Object implements SeeOtherHostDB.SeeOtherHostRepository<DataRepository>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEF_DB_GET_HOST_QUERY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JDBCSeeOtherHostRepository()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BareJID`
  `getHostFor(BareJID jid)`
  `BareJID`
  `queryDBFor(BareJID user)`
  `void`
  `setDataSource(DataRepository data_repo)`
  Method called to provide class with instance of a data source.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEF_DB_GET_HOST_QUERY

    public static final String DEF_DB_GET_HOST_QUERY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JDBCSeeOtherHostRepository

    public JDBCSeeOtherHostRepository()

- ## Method Details

  - ### getHostFor

    public BareJID getHostFor(BareJID jid)
    Specified by:
      `getHostFor` in interface `SeeOtherHostDB.SeeOtherHostRepository<DataRepository>`

  - ### queryDBFor

    public BareJID queryDBFor(BareJID user) throws UserNotFoundException, SQLException, TigaseStringprepException
    Specified by:
      `queryDBFor` in interface `SeeOtherHostDB.SeeOtherHostRepository<DataRepository>`
    Throws:
      `UserNotFoundException`
      `SQLException`
      `TigaseStringprepException`

  - ### setDataSource

    public void setDataSource(DataRepository data_repo) throws RepositoryException
    Description copied from interface: `DataSourceAware`
    Method called to provide class with instance of a data source.
    Specified by:
      `setDataSource` in interface `DataSourceAware<DataRepository>`
    Throws:
      `RepositoryException`